package com.ruoyi.warehouseBusiness.excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 账单明细分项实体
 */
public class BillDetailsSubItem {

    /**
     * fId
     */
    private Long fId;

    /**
     * 业务类型
     */
    private String fBilltype;

    /**
     * 作业类型
     */
    private String twlfBusinesstype;

    /**
     * 客户名称
     */
    private Long fCorpid;

    /**
     * 提单号
     */
    private String fMblno;

    /**
     * 业务日期--出库时间
     */
    private String fBsdate;

    /**
     * 审核日期
     */
    private Date fReviewDate;

    /**
     * 收、付,D:收 C:付
     */
    private String fDc;

    /**
     * 费用状态
     */
    private String fBillstatusName;

    /**
     * 费用名称
     */
    private String fFeeid;

    /**
     * 结算方式
     */
    private Long fStltypeid;

    /**
     * 货名
     */
    private String tgfName;

    /**
     * 客户
     */
    private String tcfName;

    /**
     * 件数
     */
    private BigDecimal fQty;

    /**
     * 重量
     */
    private BigDecimal fNetweight;

    /**
     * 体积
     */
    private BigDecimal fVolumn;

    /**
     * 入库时间
     */
    private String fOriginalbilldate;

    /**
     * 计费天数
     */
    private int fBillingdays;

    /**
     * 金额
     */
    private BigDecimal fAmount;

    /**
     * 计划员
     */
    private String createBy;

    /**
     * 计费时间
     */
    private String fChargedate;

    /**
     * 结费时间
     */
    private String fStlamountdate;

    /**
     * 仓库
     */
    private String fhName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 发货方
     */
    private String fShipper;

    public Long getfId() {
        return fId;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public String getTwlfBusinesstype() {
        return twlfBusinesstype;
    }

    public void setTwlfBusinesstype(String twlfBusinesstype) {
        this.twlfBusinesstype = twlfBusinesstype;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(String fBsdate) {
        this.fBsdate = fBsdate;
    }

    public Date getfReviewDate() {
        return fReviewDate;
    }

    public void setfReviewDate(Date fReviewDate) {
        this.fReviewDate = fReviewDate;
    }

    public String getfDc() {
        return fDc;
    }

    public void setfDc(String fDc) {
        this.fDc = fDc;
    }

    public String getfBillstatusName() {
        return fBillstatusName;
    }

    public void setfBillstatusName(String fBillstatusName) {
        this.fBillstatusName = fBillstatusName;
    }

    public String getfFeeid() {
        return fFeeid;
    }

    public void setfFeeid(String fFeeid) {
        this.fFeeid = fFeeid;
    }

    public Long getfStltypeid() {
        return fStltypeid;
    }

    public void setfStltypeid(Long fStltypeid) {
        this.fStltypeid = fStltypeid;
    }

    public String getTgfName() {
        return tgfName;
    }

    public void setTgfName(String tgfName) {
        this.tgfName = tgfName;
    }

    public String getTcfName() {
        return tcfName;
    }

    public void setTcfName(String tcfName) {
        this.tcfName = tcfName;
    }

    public BigDecimal getfQty() {
        return fQty;
    }

    public void setfQty(BigDecimal fQty) {
        this.fQty = fQty;
    }

    public BigDecimal getfNetweight() {
        return fNetweight;
    }

    public void setfNetweight(BigDecimal fNetweight) {
        this.fNetweight = fNetweight;
    }

    public BigDecimal getfVolumn() {
        return fVolumn;
    }

    public void setfVolumn(BigDecimal fVolumn) {
        this.fVolumn = fVolumn;
    }

    public String getfOriginalbilldate() {
        return fOriginalbilldate;
    }

    public void setfOriginalbilldate(String fOriginalbilldate) {
        this.fOriginalbilldate = fOriginalbilldate;
    }

    public int getfBillingdays() {
        return fBillingdays;
    }

    public void setfBillingdays(int fBillingdays) {
        this.fBillingdays = fBillingdays;
    }

    public BigDecimal getfAmount() {
        return fAmount;
    }

    public void setfAmount(BigDecimal fAmount) {
        this.fAmount = fAmount;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getfChargedate() {
        return fChargedate;
    }

    public void setfChargedate(String fChargedate) {
        this.fChargedate = fChargedate;
    }

    public String getfStlamountdate() {
        return fStlamountdate;
    }

    public void setfStlamountdate(String fStlamountdate) {
        this.fStlamountdate = fStlamountdate;
    }

    public String getFhName() {
        return fhName;
    }

    public void setFhName(String fhName) {
        this.fhName = fhName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getfShipper() {
        return fShipper;
    }

    public void setfShipper(String fShipper) {
        this.fShipper = fShipper;
    }
}
